# Get Timeseries

> { metric; interval; points: { date; value }[] }.

Source: https://shopassist.coec.dk/docs/api/reference/analytics/get-timeseries · Updated 2026-11-03

`GET /v1/stores/{store_id}/analytics/timeseries`

- Scope: `analytics:read`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

`{ metric; interval; points: { date; value }[] }`.

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `store_id` | path | `string` | yes |  |
| `metric` | query | `string (enum)` | yes |  |
| `from` | query | `string` | yes | Store-local date, inclusive |
| `to` | query | `string` | yes | Store-local date, inclusive |
| `interval` | query | `"day" \| "week" \| "month"` | no |  |
| `compare` | query | `"previous_period" \| null` | no |  |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/analytics/timeseries" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (Timeseries) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `interval` | `"day" \| "week" \| "month"` | yes |  |
| `metric` | `string (enum)` | yes | one of conversations, billable_units, ai_replies, widget_opens, resolution_rate, handoff_rate, csat_avg, csat_count, leads, add_to_cart, checkout_clicks, attributed_orders, chat_conversion_rate, attribution_coverage, proactive_ctr, answers_rated_up, answers_rated_down, revenue_add_to_cart, revenue_checkout_link, revenue_assisted_session |
| `points` | `TimeseriesPoint[]` | yes |  |
| `points[].date` | `string` | yes | format date |
| `points[].value` | `number \| null` | yes |  |

```json
{
  "interval": "day",
  "metric": "conversations",
  "points": [
    {
      "date": "2026-10-01",
      "value": 1
    }
  ]
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 404 | Not Found ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
